Class
FileMapping
A structure to memory-map a file.
FileMapping<TSpec>
Include Headers
seqan/file.h
Parameters

TSpec | The specializing type. Default: void

Remarks
This structure represents both a file and its memory mapping.
Functions

adviseFileSegment | Give advice about use of a memory-mapped file segment.
cancelFileSegment | Cancel all outstanding transactions of a memory-mapped file segment.
close | Close a file and its memory mapping.
closeAndResize | Close a memory mapping and resize and close the underlying file.
flushFileSegment | Wait for all outstanding transactions of a memory-mapped file segment.
length | Return the file size of a memory mapping.
mapFileSegment | Map a segment of a file into memory.
open | Open a file to be mapped into memory.
openTemp | Open a temporary file to be mapped into memory.
remapFileSegment | Change the size of a memory-mapped file segment.
resize | Resize the underlying file.
unmapFileSegment | Unmap a memory-mapped file segment.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56